Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service.persistence
Class TaskSessionSpringFactoryImpl

    java.lang.Object
      org.jbpm.task.service.persistence.TaskSessionSpringFactoryImpl

All Implemented Interfaces:
  TaskSessionFactory

    public class TaskSessionSpringFactoryImpl

extends Object
implements TaskSessionFactory

THE ONLY ACCEPTED USE OF THIS CLASS IS AS AN INJECTED CLASS. DO NOT USE THIS CLASS IN ANY OTHER WAY. If you otherwise use this class outside of the org.jbpm.task.service package (and possibly even then), you ARE ON YOUR OWN. IF YOUR CODE BREAKS WHEN THIS CHANGES, GOOD LUCK!

Constructor Summary
`TaskSessionSpringFactoryImpl()`

Method Summary
`TasksAdmin` | `createTaskAdmin()`
`TaskEventsAdmin` | `createTaskEventsAdmin()`
`TaskServiceSession` | `createTaskServiceSession()`
`void` | `initialize()`
`void` | `setEntityManager(javax.persistence.EntityManager em)`
`void` | `setEntityManagerFactory(javax.persistence.EntityManagerFactory emf)`
`void` | `setTaskService(TaskService taskService)`
`void` | `setTransactionManager(org.drools.persistence.TransactionManager txm)`
`void` | `setUseJTA(boolean useJTA)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskSessionSpringFactoryImpl

    public TaskSessionSpringFactoryImpl()

Method Detail

### setEntityManagerFactory

    public void setEntityManagerFactory(javax.persistence.EntityManagerFactory emf)

### setEntityManager

    public void setEntityManager(javax.persistence.EntityManager em)

### setTransactionManager

    public void setTransactionManager(org.drools.persistence.TransactionManager txm)

### setUseJTA

    public void setUseJTA(boolean useJTA)

### setTaskService

    public void setTaskService(TaskService taskService)

### createTaskServiceSession

    public TaskServiceSession createTaskServiceSession()

  Specified by:
    `createTaskServiceSession` in interface `TaskSessionFactory`

### createTaskAdmin

    public TasksAdmin createTaskAdmin()

  Specified by:
    `createTaskAdmin` in interface `TaskSessionFactory`

### initialize

    public void initialize()

### createTaskEventsAdmin

    public TaskEventsAdmin createTaskEventsAdmin()

  Specified by:
    `createTaskEventsAdmin` in interface `TaskSessionFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.